<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Change Password</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form #fchangepassword="ngForm" (ngSubmit)="fchangepassword.valid && changePassword()" novalidate="novalidate">
  <ion-card>
    <ion-item>
      <ion-label position="stacked">Old Password</ion-label>
      <ion-input minlength="6" maxlength="20"  [(ngModel)]="model.oldPassword" name="oldPassword" #oldPassword=ngModel required></ion-input>
    </ion-item>
    <div *ngIf="fchangepassword.submitted">
      <div *ngIf="oldPassword?.errors?.required">
        This field is required.
      </div>
      <div *ngIf="oldPassword?.errors?.minlength">
        Invalid password.
      </div>
    </div>

    <ion-item>
      <ion-label position="stacked">New Password</ion-label>
      <ion-input minlength="6" maxlength="20"  [(ngModel)]="model.newPassword" name="newPassword" #newPassword=ngModel required></ion-input>
    </ion-item>
    <div *ngIf="fchangepassword.submitted">
      <div *ngIf="newPassword?.errors?.required">
        This field is required.
      </div>
      <div *ngIf="newPassword?.errors?.minlength">
        Password must contains 6 characters.
      </div>
    </div>

    <ion-item>
      <ion-label position="stacked">Confirm Password</ion-label>
      <ion-input minlength="6" maxlength="20"  [(ngModel)]="model.confirmPassword" name="confirmPassword" #confirmPassword=ngModel required></ion-input>
    </ion-item>
    <div *ngIf="fchangepassword.submitted">
      <div *ngIf="confirmPassword?.errors?.required">
        This field is required.
      </div>
      <div *ngIf="confirmPassword?.errors?.minlength">
        Password must contains 6 characters.
      </div>
    </div>
  </ion-card>
  
    <div class="addBtnContainer">
      <ion-button expand="block" color="primary" type="submit">Change Password</ion-button>
    </div>
  </form>


</ion-content>